### org.jfree.layouting.input.style.parser.stylehandler.column

# Class ColumnRuleWidthReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler`
    - - `org.jfree.layouting.input.style.parser.stylehandler.column.ColumnRuleWidthReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class ColumnRuleWidthReadHandler`
`extends BorderWidthReadHandler`

Creation-Date: 04.12.2005, 13:26:49

Author:
  Thomas Morgner

  ## Constructor Summary

  `ColumnRuleWidthReadHandler()`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler

  `createValues`, `getAffectedKeys`, `parseWidth`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

  `createValue`, `isAllowAuto`, `isAllowPercentages`, `parseWidth`

## Constructor Details

### ColumnRuleWidthReadHandler

    public ColumnRuleWidthReadHandler()